QSym
Keywords: uk.ac.bbk.dcs.automed.qproc.QSym class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class QSym

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.QSym

    public class QSym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` | `Bar`
`static int` | `BoolToken`
`static int` | `Colon`
`static int` | `Comma`
`static int` | `EOF`
`static int` | `Equal`
`static int` | `error`
`static int` | `In`
`static int` | `Lambda`
`static int` | `LArrow`
`static int` | `LCB`
`static int` | `LDAB`
`static int` | `Let`
`static int` | `LRB`
`static int` | `LSB`
`static int` | `NumToken`
`static int` | `OpToken`
`static int` | `RCB`
`static int` | `RDAB`
`static int` | `RRB`
`static int` | `RSB`
`static int` | `SemiColon`
`static int` | `StrToken`
`static int` | `SysVarToken`
`static int` | `VarToken`

Constructor Summary
`QSym()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Colon

    public static final int Colon

See Also:
  Constant Field Values

### Bar

    public static final int Bar

See Also:
  Constant Field Values

### Comma

    public static final int Comma

See Also:
  Constant Field Values

### RSB

    public static final int RSB

See Also:
  Constant Field Values

### VarToken

    public static final int VarToken

See Also:
  Constant Field Values

### NumToken

    public static final int NumToken

See Also:
  Constant Field Values

### BoolToken

    public static final int BoolToken

See Also:
  Constant Field Values

### Lambda

    public static final int Lambda

See Also:
  Constant Field Values

### LCB

    public static final int LCB

See Also:
  Constant Field Values

### In

    public static final int In

See Also:
  Constant Field Values

### RDAB

    public static final int RDAB

See Also:
  Constant Field Values

### LArrow

    public static final int LArrow

See Also:
  Constant Field Values

### LRB

    public static final int LRB

See Also:
  Constant Field Values

### StrToken

    public static final int StrToken

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### LDAB

    public static final int LDAB

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### OpToken

    public static final int OpToken

See Also:
  Constant Field Values

### SemiColon

    public static final int SemiColon

See Also:
  Constant Field Values

### SysVarToken

    public static final int SysVarToken

See Also:
  Constant Field Values

### RCB

    public static final int RCB

See Also:
  Constant Field Values

### Equal

    public static final int Equal

See Also:
  Constant Field Values

### RRB

    public static final int RRB

See Also:
  Constant Field Values

### LSB

    public static final int LSB

See Also:
  Constant Field Values

### Let

    public static final int Let

See Also:
  Constant Field Values

Constructor Detail

### QSym

    public QSym()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD